Subject: Re: DBCR0 reset?

From: David Gibson <[email-masked]>
Date: Wed, 30 Oct 2002 14:15:55 +1100

On Tue, Oct 29, 2002 at 05:10:44PM -0500, Ralph Blach wrote:
> Hollis,
>
> The OS does this.  I send you the info on how to disable it tommorrow.

Please send it to the list as well - I've encountered this problem as
well.  Although it usually doesn't happen quite this quickly.

> Hollis Blanchard wrote:
> >Has anyone had problems with hardware breakpoints from external
> >debuggers? I'm using RISCWatch, which sets DBCR0 and IAC1 for me (yes
> >I've verified that). I'm then using 'echo > /proc/sys' to invoke my
> >code. However by the time I get to my sysctl proc handler, DBCR0 has
> >been reset from 0x80810000 to 0x00010000, hence IAC1 is ignored.
> >
> >I don't see much use of DBCR0, other than initialization and then save
> >during exception prologs and then restore during task restore. Can
> >anyone point me to where it might be reset?
> >
> >-Hollis

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/